:root {
    --col-1: 8.333%;
}

.carousel {
    position: relative;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    background: #f4f4f4;
    width: 100%;
}

.carousel-track {
    display: flex;
    transition: transform 0.5s ease-in-out;
    transform: translate3d(-100%, 0, 0);
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;     
}

a.carousel-slide {
    min-width: 100%;
    width: 100%;
    flex-shrink: 0;
    flex-grow: 0;
    display: block;
    margin: 0;
    text-decoration: none;
}

a.carousel-slide:hover {
    text-decoration: none;
}
a.carousel-slide:focus {
    outline: 2px var(--c-turquoise) solid;
    outline-offset: -2px;
}

.slide-content {
    display: grid;
    grid-template-columns: 1fr;
    background: #fff;
}

.slider-img {
    height: 100%;
}

.slider-img figure {
    width: 100%;
    height: 100%;
    max-width: none;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    transition: aspect-ratio 0.4s;
    margin: 0;
}

.slider-img figure img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(1.05);
    transition: transform 0.4s;
}
a.carousel-slide:hover .slider-img figure img {
    transform: scale(1.1);
}

.slider-txt {
    flex: 1;
    text-align: center;
    padding: 20px 0;
}

.slider-txt .surtitre {
    display: block;
    text-transform: uppercase;
    font-weight: 500;
    color: var(--c-gris-pale);
    margin-bottom: 10px;
}

.slider-txt h3 {
    font-size: 1.6rem;
    margin: 0 0 15px 0;
    color: var(--c-fuchsia);
    font-weight: 500 !important;
    position: relative;
}
.slider-txt h3:before {
    width: 0px;
    height: 3px;
    background-color: var(--c-fuchsia-pale);
    content: '';
    position: absolute;
    bottom: 0;
    transition: width 0.4s;
}
a.carousel-slide:hover .slider-txt h3 {
    color: var(--c-fuchsia-fonce);
}
a.carousel-slide:hover .slider-txt h3:before {
    width: 100%;
}

.slider-txt p {
    text-align: center;
    color: var(--c-noir);
    text-wrap: unset;
}

.prev-btn,
.next-btn {
    position: absolute;
    bottom: -8px;
    background: transparent;
    color: var(--c-noir);
    border: none;
    padding: 0 20px;
    cursor: pointer;
    z-index: 5;
    font-size: 1.5rem;
}

.prev-btn:hover,
.next-btn:hover {
    color: var(--c-fuchsia);
}
.next-btn {
    right: 0;
}
.prev-btn {
    left: 0;
}
.play-pause-btn {
    border-radius: 4px;
    padding: 15px;
    cursor: pointer;
    display: none;
    bottom: 0;
    right: 120px;
    position: absolute;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: contain;
    border: none;
}
.play-pause-btn.pause {
    background-image: url("/img/pictos/picto-pause.svg");
}
.play-pause-btn.play {
    background-image: url("/img/pictos/picto-play.svg");
}
.play-pause-btn:hover {
    filter: contrast(0) sepia(100%) hue-rotate(282deg) brightness(0.6) saturate(6);
}
.play-pause-btn span {
    visibility: hidden;
    position: absolute;
    height: 1px;    
}

.carousel-controls {
    position: relative;
    bottom: 20px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    z-index: 10;
    margin-top: 20px;
}
.carousel-pagination {
    display: flex;
    gap: 10px;
}

.dot {
    width: 30px;
    height: 12px;
    border-radius: 3px;
    background: rgba(255, 255, 255, 0.85);
    box-shadow: 2px 2px 1px rgba(0, 0, 0, 0.3);
    border: none;
    cursor: pointer;
    padding: 0;
    transition: width 0.4s;
}

.dot.active {
    width: 65px;
    background: var(--c-chartreuse);
}
.dot:hover {
    background: var(--c-fuchsia-pale);
}

@media (min-width: 768px) {
    .slide-content {
        grid-template-columns: 1fr 2fr;
    }
    .slider-img figure {
        aspect-ratio: 1 / 1;
    }
    .slider-txt {
        text-align: left;
        padding: 40px;
    }
    .slider-txt p {
        text-align: left;
    }
    .carousel-controls {
        justify-content: flex-start;
        margin-top: 0;
    }
    .carousel-pagination {
        position: absolute;
        width: auto;
        /* (5 colonnes / 2) * largeur de colonne */
        left: calc(2.5 * var(--col-1));
        transform: translateX(-50%);
    }
    .prev-btn,
    .next-btn {
        bottom: 0;
    }
    .prev-btn {
        right: 60px;
        left: unset;
    }
    .play-pause-btn {
        display: block;
    }
}

@media (min-width: 992px) {
    .slide-content {
        grid-template-columns: 5fr 7fr;
        align-items: start;
        height: 100%;
    }
    .slider-img figure {
        aspect-ratio: 16 / 9;
    }
    .slider-txt {
        text-align: left;
        padding: 40px;
    }
    .slider-txt p {
        text-align: left;
    }
    .carousel-controls {
        justify-content: flex-start;
        margin-top: 0;
    }

    .carousel-pagination {
        position: absolute;
        width: auto;
        /* (5 colonnes / 2) * largeur de colonne */
        left: calc(2.5 * var(--col-1));
        transform: translateX(-50%);
    }
    .prev-btn,
    .next-btn {
        bottom: 0;
    }
    .prev-btn {
        right: 60px;
        left: unset;
    }
    .play-pause-btn {
        display: block;
    }
}